> ## Documentation Index
> Fetch the complete documentation index at: https://docs.attention.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Integration Workflows

> Returns all integration workflows for the authenticated organization.



## OpenAPI

````yaml /api-reference/openapi.json get /integration-workflows
openapi: 3.0.1
info:
  title: Attention Service V2
  description: Attention Service API V2
  termsOfService: https://www.attention.com/terms-of-use
  contact:
    name: Attention Team
    url: https://docs.attention.com/welcome
    email: support@attention.com
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  version: 1.8.0
servers:
  - url: https://api.attention.tech/v2
security:
  - APIKeyHeader: []
paths:
  /integration-workflows:
    get:
      tags:
        - Integration
      summary: List Integration Workflows
      description: Returns all integration workflows for the authenticated organization.
      operationId: listIntegrationWorkflows
      responses:
        '200':
          description: List of integration workflows
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListIntegrationWorkflowsResponse'
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/ListIntegrationWorkflowsResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - APIKeyHeader: []
components:
  schemas:
    ListIntegrationWorkflowsResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/IntegrationWorkflow'
    Error:
      type: object
      properties:
        id:
          type: string
          description: A unique identifier for the error.
        status:
          type: string
          description: >-
            The HTTP status code applicable to this problem, expressed as a
            string value.
        code:
          type: string
          description: An application-specific error code, expressed as a string value.
        title:
          type: string
          description: A short, human-readable summary of the problem.
        detail:
          type: string
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem.
        source:
          type: object
          properties:
            pointer:
              type: string
            parameter:
              type: string
        meta:
          type: object
          properties: {}
      example:
        id: not_found_error
        status: '404'
        code: '404'
        title: Not Found Error
        detail: The requested resource was not found
        source:
          pointer: /data/attributes/id
    IntegrationWorkflow:
      type: object
      properties:
        uuid:
          type: string
        name:
          type: string
        enabled:
          type: boolean
        autoExecution:
          type: boolean
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      name: Authorization
      in: header

````